<template>
	<v-sheet class="d-flex align-center justify-space-between">
		<v-col cols="12" sm="4" class="pa-0">
			<v-card-text class="pa-0">
				<v-text-field
					density="compact"
					variant="outlined"
					color="#E4E4E4"
					base-color="E4E4E4"
					label="Search name"
					append-inner-icon="mdi-magnify"
					single-line
					hide-details
					rounded="8"
					v-model="searchName"
				></v-text-field>
			</v-card-text>
		</v-col>

		<v-btn
			class="btn__add"
			color="#D90E32"
			height="42"
			rounded="lg"
			@click="$router.push('/create-employee')"
		>
			<v-icon></v-icon>
			Add new employee
		</v-btn>
	</v-sheet>

	<Table
		:nameSearchAndLimitEmployees="getNameSearchAndLimitEmployees(searchName)"
	/>

	<v-sheet>
		<Pagination
			class="text-left"
			:allUsersPage="getAllEmployees.length"
			:allPageOfTheTable="getCountAllPages"
			:itemsPerPage="employeePerPage"
			@setCurrentPage="setCurrentPage"
		/>
	</v-sheet>
</template>

<script>
import Table from '@/components/Table.vue'
import Pagination from '@/components/Pagination.vue'
import { mapGetters } from 'vuex'

export default {
	name: 'StaffList',
	components: {
		Table,
		Pagination,
	},

	data() {
		return {
			searchName: '',
		}
	},

	computed: {
		...mapGetters([
			'getNameSearchAndLimitEmployees',
			'getAllEmployees',
			'getCountAllPages',
			'employeePerPage',
			'getCurrentPage',
			'getNameSearchAndLimitEmployees',
		]),
	},
	methods: {
		setCurrentPage(page) {
			this.getCurrentPage(page)
		},
	},
}
</script>

<style lang="scss">
.btn__add {
	padding: 9px 18px;
	font-size: 12px;
	font-weight: 700;
	line-height: 20px;
	text-transform: uppercase;
}
</style>
